Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class ActionResponseImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
          org.jboss.portal.portlet.impl.jsr168.api.ActionResponseImpl

All Implemented Interfaces:
  ActionResponse, PortletResponse

Direct Known Subclasses:
  JBossActionResponse

    public class ActionResponseImpl

extends PortletResponseImpl
implements ActionResponse

Version:
  $Revision: 7379 $
Author:
  Julien Viet

Field Summary
`protected int` | `decision`
`protected PortletInvocationResponse` | `response`
`protected static int` | `WANT_NOTHING`
`protected static int` | `WANT_REDIRECT`
`protected static int` | `WANT_RENDER`

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`invocation, preq`

Constructor Summary
`ActionResponseImpl(ActionInvocation invocation, PortletRequestImpl preq)`

Method Summary
`PortletInvocationResponse` | `getResult()`
`protected void` | `sendRedirect(RedirectionResponse redirect)` Generic send redirect.
`void` | `sendRedirect(java.lang.String location)` Instructs the portlet container to send a redirect response to the client using the specified redirect location URL.
`void` | `setPortletMode(PortletMode portletMode)` Sets the portlet mode of a portlet to the given portlet mode.
`void` | `setRenderParameter(java.lang.String name, java.lang.String value)` Sets a String parameter for the render request.
`void` | `setRenderParameter(java.lang.String name, java.lang.String[] values)` Sets a String array parameter for the render request.
`void` | `setRenderParameters(java.util.Map map)` Sets a parameter map for the render request.
`void` | `setWindowState(WindowState windowState)` Sets the window state of a portlet to the given window state.

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`addProperty, encodeURL, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Field Detail

### WANT_NOTHING

    protected static final int WANT_NOTHING

See Also:
  Constant Field Values

### WANT_RENDER

    protected static final int WANT_RENDER

See Also:
  Constant Field Values

### WANT_REDIRECT

    protected static final int WANT_REDIRECT

See Also:
  Constant Field Values

### response

    protected PortletInvocationResponse response

### decision

    protected int decision

Constructor Detail

### ActionResponseImpl

    public ActionResponseImpl(ActionInvocation invocation,
                              PortletRequestImpl preq)

Method Detail

### getResult

    public PortletInvocationResponse getResult()

### setWindowState

    public void setWindowState(WindowState windowState)
                        throws WindowStateException

  Description copied from interface: `ActionResponse`
  Sets the window state of a portlet to the given window state.

  Possible values are the standard window states and any custom window states supported by the portal and the portlet. Standard window states are:
  - MINIMIZED
  - NORMAL
  - MAXIMIZED

  Specified by:
    `setWindowState` in interface `ActionResponse`
  Parameters:
    `windowState` - the new portlet window state
  Throws:
    `WindowStateException` - if the portlet cannot switch to the specified window state. To avoid this exception the portlet can check the allowed window states with `Request.isWindowStateAllowed()`.
  See Also:
    `WindowState`

### setPortletMode

    public void setPortletMode(PortletMode portletMode)
                        throws PortletModeException

  Description copied from interface: `ActionResponse`
  Sets the portlet mode of a portlet to the given portlet mode.

  Possible values are the standard portlet modes and any custom portlet modes supported by the portal and the portlet. Portlets must declare in the deployment descriptor the portlet modes they support for each markup type. Standard portlet modes are:
  - EDIT
  - HELP
  - VIEW

  Note: The portlet may still be called in a different window state in the next render call, depending on the portlet container / portal.

  Specified by:
    `setPortletMode` in interface `ActionResponse`
  Parameters:
    `portletMode` - the new portlet mode
  Throws:
    `PortletModeException` - if the portlet cannot switch to this portlet mode, because the portlet or portal does not support it for this markup, or the current user is not allowed to switch to this portlet mode. To avoid this exception the portlet can check the allowed portlet modes with `Request.isPortletModeAllowed()`.

### sendRedirect

    public void sendRedirect(java.lang.String location)
                      throws java.io.IOException

  Description copied from interface: `ActionResponse`
  Instructs the portlet container to send a redirect response to the client using the specified redirect location URL.

  This method only accepts an absolute URL (e.g. `http://my.co/myportal/mywebap/myfolder/myresource.gif`) or a full path URI (e.g. `/myportal/mywebap/myfolder/myresource.gif`). If required, the portlet container may encode the given URL before the redirection is issued to the client.

  The sendRedirect method can not be invoked after any of the following methods of the ActionResponse interface has been called:
  - setPortletMode
  - setWindowState
  - setRenderParameter
  - setRenderParameters

  Specified by:
    `sendRedirect` in interface `ActionResponse`
  Parameters:
    `location` - the redirect location URL
  Throws:
    `java.io.IOException` - if an input or output exception occurs.

### sendRedirect

    protected final void sendRedirect(RedirectionResponse redirect)
                               throws java.lang.IllegalStateException

  Generic send redirect.

  Parameters:
    `redirect` -
  Throws:
    `java.lang.IllegalStateException` - implement jsr168 behavior if the portlet as already commited stuff

### setRenderParameters

    public void setRenderParameters(java.util.Map map)

  Description copied from interface: `ActionResponse`
  Sets a parameter map for the render request.

  All previously set render parameters are cleared.

  These parameters will be accessible in all sub-sequent render calls via the `PortletRequest.getParameter` call until a new request is targeted to the portlet.

  The given parameters do not need to be encoded prior to calling this method.

  Specified by:
    `setRenderParameters` in interface `ActionResponse`
  Parameters:
    `map` - Map containing parameter names for the render phase as keys and parameter values as map values. The keys in the parameter map must be of type String. The values in the parameter map must be of type String array (`String[]`).

### setRenderParameter

    public void setRenderParameter(java.lang.String name,
                                   java.lang.String value)

  Description copied from interface: `ActionResponse`
  Sets a String parameter for the render request.

  These parameters will be accessible in all sub-sequent render calls via the `PortletRequest.getParameter` call until a request is targeted to the portlet.

  This method replaces all parameters with the given key.

  The given parameter do not need to be encoded prior to calling this method.

  Specified by:
    `setRenderParameter` in interface `ActionResponse`
  Parameters:
    `name` - key of the render parameter
    `value` - value of the render parameter

### setRenderParameter

    public void setRenderParameter(java.lang.String name,
                                   java.lang.String[] values)

  Description copied from interface: `ActionResponse`
  Sets a String array parameter for the render request.

  These parameters will be accessible in all sub-sequent render calls via the `PortletRequest.getParameter` call until a request is targeted to the portlet.

  This method replaces all parameters with the given key.

  The given parameter do not need to be encoded prior to calling this method.

  Specified by:
    `setRenderParameter` in interface `ActionResponse`
  Parameters:
    `name` - key of the render parameter
    `values` - values of the render parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD